Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices
Class ExceptionReport

    java.lang.Object
      org.deegree.ogcwebservices.ExceptionReport

    public class ExceptionReport

extends Object

Upon receiving an invalid operation request, each OWS shall respond to the client using an Exception Report message to describe to the client application and/or its human user the reason(s) that the request is invalid. Whenever a server detects an exception condition while responding to a valid operation request, and cannot produce a normal response to that operation, the server shall also respond to the client using an Exception Report.

Each Exception Report shall contain one or more Exception elements, with each such element signalling detection of an independent error. Each Exception element shall contain the parameters ExceptionText, exceptionCode and locator.

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`ExceptionReport(OGCWebServiceException[] exceptions)`
`ExceptionReport(OGCWebServiceException[] exceptions, String version)`
`ExceptionReport(OGCWebServiceException[] exceptions, String version, String language)`

Method Summary
`OGCWebServiceException[]` | `getExceptions()`
`String` | `getLanguage()`
`String` | `getVersion()`
`void` | `setExceptions(OGCWebServiceException[] exceptions)`
`void` | `setLanguage(String language)`
`void` | `setVersion(String version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionReport

    public ExceptionReport(OGCWebServiceException[] exceptions)

Parameters:
  `exceptions` -

### ExceptionReport

    public ExceptionReport(OGCWebServiceException[] exceptions,
                           String version)

Parameters:
  `exceptions` -
  `version` -

### ExceptionReport

    public ExceptionReport(OGCWebServiceException[] exceptions,
                           String version,
                           String language)

Parameters:
  `exceptions` -
  `version` -
  `language` -

Method Detail

### getExceptions

    public OGCWebServiceException[] getExceptions()

  Returns:
    Returns the exceptions.

### setExceptions

    public void setExceptions(OGCWebServiceException[] exceptions)

  Parameters:
    `exceptions` - The exceptions to set.

### getLanguage

    public String getLanguage()

  Returns:
    Returns the language.

### setLanguage

    public void setLanguage(String language)

  Parameters:
    `language` - The language to set.

### getVersion

    public String getVersion()

  Returns:
    Returns the version.

### setVersion

    public void setVersion(String version)

  Parameters:
    `version` - The version to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org